Subject: Re: [PATCH 03/14] hash: use uint32_t for object_id algorithm

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 28 Oct 2025 10:16:57 +0100

On Mon, Oct 27, 2025 at 12:43:53AM +0000, brian m. carlson wrote:
> We currently use an int for this value, but we'll define this structure
> from Rust in a future commit and we want to ensure that our data types
> are exactly identical.  To make that possible, use a uint32_t for the
> hash algorithm.

An alternative would be to introduce an enum and set up bindgen so that
we can pull this enum into Rust. I'd personally favor that over using an
uint32_t as it conveys way more meaning. Have you considered this?

Patrick